Page MenuHomePhabricator

[OpenCL] Move remaining defines to opencl-c-base.h
ClosedPublic

Authored by svenvh on Feb 18 2021, 3:35 AM.

Details

Summary

Move any remaining preprocessor defines from opencl-c.h to
opencl-c-base.h, such that they are shared with
-fdeclare-opencl-builtins too.

In particular, move:

  • the as_type and as_typen definitions, and
  • the kernel_exec and __kernel_exec definitions.

Diff Detail

Event Timeline

svenvh created this revision.Feb 18 2021, 3:35 AM
svenvh requested review of this revision.Feb 18 2021, 3:35 AM
Anastasia accepted this revision.Feb 19 2021, 5:32 AM

LGTM! Btw since we are moving this code anyway, do you think we could fix the formatting?

This revision is now accepted and ready to land.Feb 19 2021, 5:32 AM

LGTM! Btw since we are moving this code anyway, do you think we could fix the formatting?

Sure, I'll do that before committing.

This revision was landed with ongoing or failed builds.Feb 23 2021, 2:18 AM
This revision was automatically updated to reflect the committed changes.